Skip to main content
POST
Create snippet run

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

idempotency-key
string

Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.

Required string length: 1 - 64
Example:

"create-prod-2026-05-07"

Path Parameters

id
string
required
Required string length: 1 - 54

Body

application/json
overrides
object

Legacy execution metadata retained for compatibility. It is not applied as runtime input.

agent_turn_id
string
Required string length: 1 - 54
context
object

Response

Snippet run created

id
string
required
Required string length: 1 - 54
snippet_id
string
required
Required string length: 1 - 54
source
enum<string>
required

Origin that initiated the persisted snippet run.

Available options:
manual,
dashboard_open,
dashboard_refresh,
agent
snippet_name
string
required
snippet_etag
string
required
dashboard_id
string | null
required
Required string length: 1 - 55
dashboard_name
string | null
required
widget_id
string | null
required
Required string length: 1 - 54
widget_title
string | null
required
run_by
string
required
agent_session_id
string | null
required
Required string length: 1 - 54
agent_turn_id
string | null
required
Required string length: 1 - 54
state
enum<string>
required

Terminal run state in past participle form.

Available options:
succeeded,
failed,
timed_out
duration_ms
number
required
stats
object
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required
overrides
object

Legacy execution metadata retained for compatibility. It is not applied as runtime input.

output
any
error
object